%define anolis_release 1
%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           gnome-logs
Version:        43.0
Release:        %{anolis_release}%{dist}
Summary:        Log viewer for the systemd journal
License:        GPLv3+
URL:            https://wiki.gnome.org/Apps/Logs
Source0:        https://download.gnome.org/sources/%{name}/43/%{name}-%{tarball_version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires:  gcc
BuildRequires:  itstool
BuildRequires:  libxslt
BuildRequires:  meson
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  /usr/bin/appstream-util
BuildRequires:  gettext
Requires:       gsettings-desktop-schemas

%description
A log viewer for the systemd journal.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson -Dman=true
%meson_build

%install
%meson_install
%find_lang %{name} --with-gnome

%check
%meson_test

%files -f %{name}.lang
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/org.gnome.Logs.desktop
%{_datadir}/dbus-1/services/org.gnome.Logs.service
%{_datadir}/glib-2.0/schemas/org.gnome.Logs.*.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Logs.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Logs-symbolic.svg
%{_datadir}/metainfo/org.gnome.Logs.appdata.xml
%{_mandir}/man1/gnome-logs.1*

%files doc
%doc AUTHORS README NEWS

%changelog
* Wed Mar 22 2023 yuanhui <yuanhui@linux.alibaba.com> - 43.0-1
- Init package from upstream
